## Create price list

### cURL

```
curl --request POST \
  --url https://live.copilot.fabric.inc/api-offers/price-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "name": "BuildMuscles-CONTRACT123",
  "isDefault": false,
  "currency": "CAD",
  "startDate": "2021-05-04T09:23:51.459Z",
  "endDate": "2021-06-09T09:23:51.459Z"
}
'
```

### Python

```
import requests

url = "https://live.copilot.fabric.inc/api-offers/price-list"

payload = {
    "name": "BuildMuscles-CONTRACT123",
    "isDefault": False,
    "currency": "CAD",
    "startDate": "2021-05-04T09:23:51.459Z",
    "endDate": "2021-06-09T09:23:51.459Z"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'BuildMuscles-CONTRACT123',
    isDefault: false,
    currency: 'CAD',
    startDate: '2021-05-04T09:23:51.459Z',
    endDate: '2021-06-09T09:23:51.459Z'
  })
};

fetch('https://live.copilot.fabric.inc/api-offers/price-list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Sample Responses

**Success Response**
```
{
  "_id": "614b58924e92f6861ac9d43b",
  "priceListId": 10000003,
  "name": "BuildMuscles-CONTRACT123",
  "isDefault": false,
  "currency": "USD",
  "startDate": "2021-05-04T09:23:51.459Z",
  "endDate": "2021-06-09T09:23:51.459Z",
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}
```

**Error Responses**
- **Price List Name Exists**
```
{
  "code": "PRICE_LIST_NAME_EXISTS",
  "message": "Price list name already exists"
}
```

- **Internal Server Error**
```
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations

**Authorization**
string - required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

**x-site-context**  
string - required  
The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example:
`"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"`

### Body  
**Content-Type**: application/json  
- **name** 
string - required  
Pricelist name
Example:
`"BuildMuscles-CONTRACT123"`
- **isDefault**  
boolean - required  
true: If you want to keep the given pricelist as the default price list.
- **false**: If you do not want to keep the given pricelist as the default price list.

- **currency** 
string<iso-4217> - required  
Currency code, as defined by ISO-4217, of the price specified in the price list.

- **startDate**  
string<date-time>  
Start date of the price list, it indicates the date when the price list becomes available to use.

- **endDate**  
string<date-time>  
End date of the price list.
